Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.oasis
Class JROdsExporter.ExporterContext

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractExporter.BaseExporterContext
          net.sf.jasperreports.engine.export.oasis.JROdsExporter.ExporterContext

All Implemented Interfaces:
  JRExporterContext, JROdsExporterContext

Enclosing class:
  JROdsExporter

    protected class JROdsExporter.ExporterContext

extends JRAbstractExporter.BaseExporterContext
implements JROdsExporterContext

Constructor Summary
`JROdsExporter.ExporterContext(TableBuilder tableBuidler)`

Method Summary
`java.lang.String` | `getExportPropertiesPrefix()` Returns the properties prefix for the current exporter.
`TableBuilder` | `getTableBuilder()`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter.BaseExporterContext
`getExportedReport, getExporter, getExportParameters, getOffsetX, getOffsetY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.export.JRExporterContext
`getExportedReport, getExporter, getExportParameters, getOffsetX, getOffsetY`

Constructor Detail

### JROdsExporter.ExporterContext

    public JROdsExporter.ExporterContext(TableBuilder tableBuidler)

Method Detail

### getTableBuilder

    public TableBuilder getTableBuilder()

  Specified by:
    `getTableBuilder` in interface `JROdsExporterContext`

### getExportPropertiesPrefix

    public java.lang.String getExportPropertiesPrefix()

  Description copied from interface: `JRExporterContext`
  Returns the properties prefix for the current exporter.

  Specified by:
    `getExportPropertiesPrefix` in interface `JRExporterContext`
  Returns:
    the properties prefix for the current exporter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com